Retrieve the status of prebuilt detection rules and Timelines

Base URL
https://{kibana_url}
  • GET /api/detection_engine/rules/prepackaged/_status
  • GET /s/{space_id}/api/detection_engine/rules/prepackaged/_status
Auth

Retrieve the status of all Elastic prebuilt detection rules and Timelines.

This endpoint provides detailed information about the number of custom rules, installed prebuilt rules, available prebuilt rules that are not installed, outdated prebuilt rules, installed prebuilt timelines, available prebuilt timelines that are not installed, and outdated prebuilt timelines.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Response

Indicates a successful call

application/json
rules_custom_installed integer · min: 0 required

The total number of custom rules

rules_installed integer · min: 0 required

The total number of installed prebuilt rules

rules_not_installed integer · min: 0 required

The total number of available prebuilt rules that are not installed

rules_not_updated integer · min: 0 required

The total number of outdated prebuilt rules

timelines_installed integer · min: 0 required

The total number of installed prebuilt timelines

timelines_not_installed integer · min: 0 required

The total number of available prebuilt timelines that are not installed

timelines_not_updated integer · min: 0 required

The total number of outdated prebuilt timelines

Base URL
https://{kibana_url}